import { LoggedPkg } from 'pnpm-logger';
import { Resolution } from '../resolve';
import { Got } from '../network/got';
export declare type FetchOptions = {
    loggedPkg: LoggedPkg;
    got: Got;
};
export declare type PackageDist = {
    tarball: string;
    shasum?: string;
};
export default function fetchResolution(resolution: Resolution, target: string, opts: FetchOptions): Promise<void>;
export declare function fetchFromTarball(dir: string, dist: PackageDist, opts: FetchOptions): Promise<void>;
export declare function fetchFromRemoteTarball(dir: string, dist: PackageDist, opts: FetchOptions): Promise<void>;
export declare function fetchFromLocalTarball(dir: string, dist: PackageDist): Promise<void>;
